module(...)
--auto generate data
AndroidPay={
	["com.kaopu.ylq.001"]={
		args={[1]=[[1008]],},
		desc=[[10 Diamonds]],
		func=[[pay_for_gold]],
		key=[[com.kaopu.ylq.001]],
		name=[[10 Diamonds]],
		value=1,
	},
	["com.kaopu.ylq.12"]={
		args={[1]=[[1002]],},
		desc=[[120 Diamonds]],
		func=[[pay_for_gold]],
		key=[[com.kaopu.ylq.12]],
		name=[[120 Diamonds]],
		value=1200,
	},
	["com.kaopu.ylq.128"]={
		args={[1]=[[1005]],},
		desc=[[1280 Diamonds]],
		func=[[pay_for_gold]],
		key=[[com.kaopu.ylq.128]],
		name=[[1280 Diamonds]],
		value=12800,
	},
	["com.kaopu.ylq.30"]={
		args={[1]=[[1003]],},
		desc=[[300 Diamonds]],
		func=[[pay_for_gold]],
		key=[[com.kaopu.ylq.30]],
		name=[[300 Diamonds]],
		value=3000,
	},
	["com.kaopu.ylq.328"]={
		args={[1]=[[1006]],},
		desc=[[3280 Diamond]],
		func=[[pay_for_gold]],
		key=[[com.kaopu.ylq.328]],
		name=[[3280 Diamond]],
		value=32800,
	},
	["com.kaopu.ylq.6"]={
		args={[1]=[[1001]],},
		desc=[[60 Diamonds]],
		func=[[pay_for_gold]],
		key=[[com.kaopu.ylq.6]],
		name=[[60 Diamonds]],
		value=600,
	},
	["com.kaopu.ylq.648"]={
		args={[1]=[[1007]],},
		desc=[[6480 Diamond]],
		func=[[pay_for_gold]],
		key=[[com.kaopu.ylq.648]],
		name=[[6480 Diamond]],
		value=64800,
	},
	["com.kaopu.ylq.68"]={
		args={[1]=[[1004]],},
		desc=[[680 Diamonds]],
		func=[[pay_for_gold]],
		key=[[com.kaopu.ylq.68]],
		name=[[680 Diamonds]],
		value=6800,
	},
	["com.kaopu.ylq.czjj"]={
		args={[1]=[[grade_gift1]],},
		desc=[[Growth fund]],
		func=[[pay_for_huodong_charge]],
		key=[[com.kaopu.ylq.czjj]],
		name=[[Growth fund]],
		value=9800,
	},
	["com.kaopu.ylq.lb.1"]={
		args={[1]=[[giftbag_1]],},
		desc=[[Receive 1 RMB Gift Bag]],
		func=[[pay_for_huodong_charge]],
		key=[[com.kaopu.ylq.lb.1]],
		name=[[1 RMB Gift Package]],
		value=100,
	},
	["com.kaopu.ylq.lb.12"]={
		args={[1]=[[giftbag_12]],},
		desc=[[Received 12 RMB Gift Bag]],
		func=[[pay_for_huodong_charge]],
		key=[[com.kaopu.ylq.lb.12]],
		name=[[12 RMB Gift Package]],
		value=1200,
	},
	["com.kaopu.ylq.lb.128"]={
		args={[1]=[[giftbag_128]],},
		desc=[[Receive 128 RMB Gift Bag]],
		func=[[pay_for_huodong_charge]],
		key=[[com.kaopu.ylq.lb.128]],
		name=[[128 RMB Gift Package]],
		value=12800,
	},
	["com.kaopu.ylq.lb.30"]={
		args={[1]=[[giftbag_30]],},
		desc=[[Receive 30 RMB Gift Bag]],
		func=[[pay_for_huodong_charge]],
		key=[[com.kaopu.ylq.lb.30]],
		name=[[30 RMB Gift Package]],
		value=3000,
	},
	["com.kaopu.ylq.lb.328"]={
		args={[1]=[[giftbag_328]],},
		desc=[[Receive 328 RMB Gift Bag]],
		func=[[pay_for_huodong_charge]],
		key=[[com.kaopu.ylq.lb.328]],
		name=[[RMB Gift Package]],
		value=32800,
	},
	["com.kaopu.ylq.lb.6"]={
		args={[1]=[[giftbag_6]],},
		desc=[[Receive 6 RMB Gift Bag]],
		func=[[pay_for_huodong_charge]],
		key=[[com.kaopu.ylq.lb.6]],
		name=[[6 RMB Gift Package]],
		value=600,
	},
	["com.kaopu.ylq.lb.68"]={
		args={[1]=[[giftbag_68]],},
		desc=[[Receive 68 RMB Gift Bag]],
		func=[[pay_for_huodong_charge]],
		key=[[com.kaopu.ylq.lb.68]],
		name=[[68 RMB Gift Package]],
		value=6800,
	},
	["com.kaopu.ylq.yk"]={
		args={[1]=[[yk]],},
		desc=[[Monthly card]],
		func=[[pay_for_huodong_charge]],
		key=[[com.kaopu.ylq.yk]],
		name=[[Monthly card]],
		value=3000,
	},
	["com.kaopu.ylq.zsk"]={
		args={[1]=[[zsk]],},
		desc=[[Lifetime card]],
		func=[[pay_for_huodong_charge]],
		key=[[com.kaopu.ylq.zsk]],
		name=[[Lifetime card]],
		value=9800,
	},
	["com.marswar.blessing"]={
		args={[1]=[[zsk]],},
		desc=[[Tetra Blessing]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.blessing]],
		name=[[Tetra Blessing]],
		value=10000,
	},
	["com.marswar.daybyday"]={
		args={[1]=[[yk]],},
		desc=[[Day By Day]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.daybyday]],
		name=[[Day By Day]],
		value=5000,
	},
	["com.marswar.diamond1"]={
		args={[1]=[[giftbag_1]],},
		desc=[[200 Diamond]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.diamond1]],
		name=[[200 Diamond]],
		value=1000,
	},
	["com.marswar.diamond2"]={
		args={[1]=[[giftbag_1]],},
		desc=[[1000 Diamond]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.diamond2]],
		name=[[1000 Diamond]],
		value=4900,
	},
	["com.marswar.diamond3"]={
		args={[1]=[[giftbag_1]],},
		desc=[[2000 Diamond]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.diamond3]],
		name=[[2000 Diamond]],
		value=9600,
	},
	["com.marswar.diamond4"]={
		args={[1]=[[giftbag_1]],},
		desc=[[4000 Diamond]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.diamond4]],
		name=[[4000 Diamond]],
		value=18800,
	},
	["com.marswar.diamond5"]={
		args={[1]=[[giftbag_1]],},
		desc=[[6000 Diamond]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.diamond5]],
		name=[[6000 Diamond]],
		value=27600,
	},
	["com.marswar.diamond6"]={
		args={[1]=[[giftbag_1]],},
		desc=[[10000 Diamond]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.diamond6]],
		name=[[10000 Diamond]],
		value=45000,
	},
	["com.marswar.diamond7"]={
		args={[1]=[[giftbag_1]],},
		desc=[[20000 Diamond]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.diamond7]],
		name=[[20000 Diamond]],
		value=88000,
	},
	["com.marswar.event1"]={
		args={[1]=[[giftbag_1]],},
		desc=[[Open will acquired Normal Ticket x5]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.event1]],
		name=[[Normal Ticket Pack]],
		value=2500,
	},
	["com.marswar.event2"]={
		args={[1]=[[giftbag_1]],},
		desc=[[Open will acquired Rare Ticket x5]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.event2]],
		name=[[Rare Ticket Pack]],
		value=25000,
	},
	["com.marswar.fresher"]={
		args={[1]=[[giftbag_1]],},
		desc=[[Fresher Pack]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.fresher]],
		name=[[Fresher Pack]],
		value=5900,
	},
	["com.marswar.fund"]={
		args={[1]=[[grade_gift1]],},
		desc=[[Growth Fund]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.fund]],
		name=[[Growth Fund]],
		value=15000,
	},
	["com.marswar.junior"]={
		args={[1]=[[giftbag_1]],},
		desc=[[Junior Pack]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.junior]],
		name=[[Junior Pack]],
		value=10900,
	},
	["com.marswar.medal30"]={
		args={[1]=[[giftbag_1]],},
		desc=[[Medal]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.medal30]],
		name=[[Medal]],
		value=3600,
	},
	["com.marswar.medal7"]={
		args={[1]=[[giftbag_1]],},
		desc=[[Medal]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.medal7]],
		name=[[Medal]],
		value=1000,
	},
	["com.marswar.nemo.blessing"]={
		args={[1]=[[zsk]],},
		desc=[[Tetra Blessing]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.blessing]],
		name=[[Tetra Blessing]],
		value=10000,
	},
	["com.marswar.nemo.daybyday"]={
		args={[1]=[[yk]],},
		desc=[[Day By Day]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.daybyday]],
		name=[[Day By Day]],
		value=5000,
	},
	["com.marswar.nemo.diamond1"]={
		args={[1]=[[giftbag_1]],},
		desc=[[200 Diamond]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.diamond1]],
		name=[[200 Diamond]],
		value=1000,
	},
	["com.marswar.nemo.diamond2"]={
		args={[1]=[[giftbag_1]],},
		desc=[[1000 Diamond]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.diamond2]],
		name=[[1000 Diamond]],
		value=4900,
	},
	["com.marswar.nemo.diamond3"]={
		args={[1]=[[giftbag_1]],},
		desc=[[2000 Diamond]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.diamond3]],
		name=[[2000 Diamond]],
		value=9600,
	},
	["com.marswar.nemo.diamond4"]={
		args={[1]=[[giftbag_1]],},
		desc=[[4000 Diamond]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.diamond4]],
		name=[[4000 Diamond]],
		value=18800,
	},
	["com.marswar.nemo.diamond5"]={
		args={[1]=[[giftbag_1]],},
		desc=[[6000 Diamond]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.diamond5]],
		name=[[6000 Diamond]],
		value=27600,
	},
	["com.marswar.nemo.diamond6"]={
		args={[1]=[[giftbag_1]],},
		desc=[[10000 Diamond]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.diamond6]],
		name=[[10000 Diamond]],
		value=45000,
	},
	["com.marswar.nemo.diamond7"]={
		args={[1]=[[giftbag_1]],},
		desc=[[20000 Diamond]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.diamond7]],
		name=[[20000 Diamond]],
		value=88000,
	},
	["com.marswar.nemo.event1"]={
		args={[1]=[[giftbag_1]],},
		desc=[[Open will acquired Normal Ticket x5]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.event1]],
		name=[[Normal Ticket Pack]],
		value=2500,
	},
	["com.marswar.nemo.event2"]={
		args={[1]=[[giftbag_1]],},
		desc=[[Open will acquired Rare Ticket x5]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.event2]],
		name=[[Rare Ticket Pack]],
		value=25000,
	},
	["com.marswar.nemo.fresher"]={
		args={[1]=[[giftbag_1]],},
		desc=[[Fresher Pack]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.fresher]],
		name=[[Fresher Pack]],
		value=5900,
	},
	["com.marswar.nemo.fund"]={
		args={[1]=[[grade_gift1]],},
		desc=[[Growth Fund]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.fund]],
		name=[[Growth Fund]],
		value=15000,
	},
	["com.marswar.nemo.junior"]={
		args={[1]=[[giftbag_1]],},
		desc=[[Junior Pack]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.junior]],
		name=[[Junior Pack]],
		value=10900,
	},
	["com.marswar.nemo.medal30"]={
		args={[1]=[[giftbag_1]],},
		desc=[[Medal]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.medal30]],
		name=[[Medal]],
		value=3600,
	},
	["com.marswar.nemo.medal7"]={
		args={[1]=[[giftbag_1]],},
		desc=[[Medal]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.medal7]],
		name=[[Medal]],
		value=1000,
	},
	["com.marswar.nemo.senior"]={
		args={[1]=[[giftbag_1]],},
		desc=[[Senior Pack]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.senior]],
		name=[[Senior Pack]],
		value=24900,
	},
	["com.marswar.senior"]={
		args={[1]=[[giftbag_1]],},
		desc=[[Senior Pack]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.senior]],
		name=[[Senior Pack]],
		value=24900,
	},
}
IOSPay={
	["com.kaopu.ylq.appstore.12"]={
		args={[1]=[[2002]],},
		desc=[[Diamond x120]],
		func=[[pay_for_gold]],
		key=[[com.kaopu.ylq.appstore.12]],
		name=[[Diamond x120]],
		value=1200,
	},
	["com.kaopu.ylq.appstore.128"]={
		args={[1]=[[2005]],},
		desc=[[Diamond x1280]],
		func=[[pay_for_gold]],
		key=[[com.kaopu.ylq.appstore.128]],
		name=[[Diamond x1280]],
		value=12800,
	},
	["com.kaopu.ylq.appstore.30"]={
		args={[1]=[[2003]],},
		desc=[[Diamond x300]],
		func=[[pay_for_gold]],
		key=[[com.kaopu.ylq.appstore.30]],
		name=[[Diamond x300]],
		value=3000,
	},
	["com.kaopu.ylq.appstore.328"]={
		args={[1]=[[2006]],},
		desc=[[Diamond x3280]],
		func=[[pay_for_gold]],
		key=[[com.kaopu.ylq.appstore.328]],
		name=[[Diamond x3280]],
		value=32800,
	},
	["com.kaopu.ylq.appstore.6"]={
		args={[1]=[[2001]],},
		desc=[[Diamond x60]],
		func=[[pay_for_gold]],
		key=[[com.kaopu.ylq.appstore.6]],
		name=[[Diamond x60]],
		value=600,
	},
	["com.kaopu.ylq.appstore.648"]={
		args={[1]=[[2007]],},
		desc=[[Diamond x6480]],
		func=[[pay_for_gold]],
		key=[[com.kaopu.ylq.appstore.648]],
		name=[[Diamond x6480]],
		value=64800,
	},
	["com.kaopu.ylq.appstore.68"]={
		args={[1]=[[2004]],},
		desc=[[Diamond x680]],
		func=[[pay_for_gold]],
		key=[[com.kaopu.ylq.appstore.68]],
		name=[[Diamond x680]],
		value=6800,
	},
	["com.kaopu.ylq.appstore.czjj"]={
		args={[1]=[[grade_gift1]],},
		desc=[[Growth fund]],
		func=[[pay_for_huodong_charge]],
		key=[[com.kaopu.ylq.appstore.czjj]],
		name=[[Growth fund]],
		value=9800,
	},
	["com.kaopu.ylq.appstore.lb.1"]={
		args={[1]=[[giftbag_1]],},
		desc=[[Receive 1 RMB Gift Bag]],
		func=[[pay_for_huodong_charge]],
		key=[[com.kaopu.ylq.appstore.lb.1]],
		name=[[1 RMB Gift Package]],
		value=100,
	},
	["com.kaopu.ylq.appstore.lb.12"]={
		args={[1]=[[giftbag_12]],},
		desc=[[Received 12 RMB Gift Bag]],
		func=[[pay_for_huodong_charge]],
		key=[[com.kaopu.ylq.appstore.lb.12]],
		name=[[12 RMB Gift Package]],
		value=1200,
	},
	["com.kaopu.ylq.appstore.lb.128"]={
		args={[1]=[[giftbag_128]],},
		desc=[[Receive 128 RMB Gift Bag]],
		func=[[pay_for_huodong_charge]],
		key=[[com.kaopu.ylq.appstore.lb.128]],
		name=[[128 RMB Gift Package]],
		value=12800,
	},
	["com.kaopu.ylq.appstore.lb.30"]={
		args={[1]=[[giftbag_30]],},
		desc=[[Receive 30 RMB Gift Bag]],
		func=[[pay_for_huodong_charge]],
		key=[[com.kaopu.ylq.appstore.lb.30]],
		name=[[30 RMB Gift Package]],
		value=3000,
	},
	["com.kaopu.ylq.appstore.lb.328"]={
		args={[1]=[[giftbag_328]],},
		desc=[[Receive 328 RMB Gift Bag]],
		func=[[pay_for_huodong_charge]],
		key=[[com.kaopu.ylq.appstore.lb.328]],
		name=[[RMB Gift Package]],
		value=32800,
	},
	["com.kaopu.ylq.appstore.lb.6"]={
		args={[1]=[[giftbag_6]],},
		desc=[[Receive 6 RMB Gift Bag]],
		func=[[pay_for_huodong_charge]],
		key=[[com.kaopu.ylq.appstore.lb.6]],
		name=[[6 RMB Gift Package]],
		value=600,
	},
	["com.kaopu.ylq.appstore.lb.68"]={
		args={[1]=[[giftbag_68]],},
		desc=[[Receive 68 RMB Gift Bag]],
		func=[[pay_for_huodong_charge]],
		key=[[com.kaopu.ylq.appstore.lb.68]],
		name=[[68 RMB Gift Package]],
		value=6800,
	},
	["com.kaopu.ylq.appstore.yk"]={
		args={[1]=[[yk]],},
		desc=[[Monthly card]],
		func=[[pay_for_huodong_charge]],
		key=[[com.kaopu.ylq.appstore.yk]],
		name=[[Monthly card]],
		value=3000,
	},
	["com.kaopu.ylq.appstore.zsk"]={
		args={[1]=[[zsk]],},
		desc=[[Lifetime card]],
		func=[[pay_for_huodong_charge]],
		key=[[com.kaopu.ylq.appstore.zsk]],
		name=[[Lifetime card]],
		value=9800,
	},
	["com.marswar.ios.blessing"]={
		args={[1]=[[zsk]],},
		desc=[[Tetra Blessing]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.ios.blessing]],
		name=[[Tetra Blessing]],
		value=10000,
	},
	["com.marswar.ios.daybyday"]={
		args={[1]=[[yk]],},
		desc=[[Day By Day]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.ios.daybyday]],
		name=[[Day By Day]],
		value=5000,
	},
	["com.marswar.ios.diamond1"]={
		args={[1]=[[giftbag_1]],},
		desc=[[200 Diamond]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.ios.diamond1]],
		name=[[200 Diamond]],
		value=1000,
	},
	["com.marswar.ios.diamond2"]={
		args={[1]=[[giftbag_1]],},
		desc=[[1000 Diamond]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.ios.diamond2]],
		name=[[1000 Diamond]],
		value=4900,
	},
	["com.marswar.ios.diamond3"]={
		args={[1]=[[giftbag_1]],},
		desc=[[2000 Diamond]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.ios.diamond3]],
		name=[[2000 Diamond]],
		value=9600,
	},
	["com.marswar.ios.diamond4"]={
		args={[1]=[[giftbag_1]],},
		desc=[[4000 Diamond]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.ios.diamond4]],
		name=[[4000 Diamond]],
		value=18800,
	},
	["com.marswar.ios.diamond5"]={
		args={[1]=[[giftbag_1]],},
		desc=[[6000 Diamond]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.ios.diamond5]],
		name=[[6000 Diamond]],
		value=27600,
	},
	["com.marswar.ios.diamond6"]={
		args={[1]=[[giftbag_1]],},
		desc=[[10000 Diamond]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.ios.diamond6]],
		name=[[10000 Diamond]],
		value=45000,
	},
	["com.marswar.ios.diamond7"]={
		args={[1]=[[giftbag_1]],},
		desc=[[20000 Diamond]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.ios.diamond7]],
		name=[[20000 Diamond]],
		value=88000,
	},
	["com.marswar.ios.event1"]={
		args={[1]=[[giftbag_1]],},
		desc=[[Open will acquired Normal Ticket x5]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.ios.event1]],
		name=[[Normal Ticket Pack]],
		value=2500,
	},
	["com.marswar.ios.event2"]={
		args={[1]=[[giftbag_1]],},
		desc=[[Open will acquired Rare Ticket x5]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.ios.event2]],
		name=[[Rare Ticket Pack]],
		value=25000,
	},
	["com.marswar.ios.fresher"]={
		args={[1]=[[giftbag_1]],},
		desc=[[Fresher Pack]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.ios.fresher]],
		name=[[Fresher Pack]],
		value=5900,
	},
	["com.marswar.ios.fund"]={
		args={[1]=[[grade_gift1]],},
		desc=[[Growth Fund]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.ios.fund]],
		name=[[Growth Fund]],
		value=15000,
	},
	["com.marswar.ios.junior"]={
		args={[1]=[[giftbag_1]],},
		desc=[[Junior Pack]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.ios.junior]],
		name=[[Junior Pack]],
		value=10900,
	},
	["com.marswar.ios.medal30"]={
		args={[1]=[[giftbag_1]],},
		desc=[[Medal]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.ios.medal30]],
		name=[[Medal]],
		value=3600,
	},
	["com.marswar.ios.medal7"]={
		args={[1]=[[giftbag_1]],},
		desc=[[Medal]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.ios.medal7]],
		name=[[Medal]],
		value=1000,
	},
	["com.marswar.ios.senior"]={
		args={[1]=[[giftbag_1]],},
		desc=[[Senior Pack]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.ios.senior]],
		name=[[Senior Pack]],
		value=24900,
	},
	["com.marswar.nemo.blessing"]={
		args={[1]=[[zsk]],},
		desc=[[Tetra Blessing]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.blessing]],
		name=[[Tetra Blessing]],
		value=10000,
	},
	["com.marswar.nemo.daybyday"]={
		args={[1]=[[yk]],},
		desc=[[Day By Day]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.daybyday]],
		name=[[Day By Day]],
		value=5000,
	},
	["com.marswar.nemo.diamond1"]={
		args={[1]=[[giftbag_1]],},
		desc=[[200 Diamond]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.diamond1]],
		name=[[200 Diamond]],
		value=1000,
	},
	["com.marswar.nemo.diamond2"]={
		args={[1]=[[giftbag_1]],},
		desc=[[1000 Diamond]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.diamond2]],
		name=[[1000 Diamond]],
		value=4900,
	},
	["com.marswar.nemo.diamond3"]={
		args={[1]=[[giftbag_1]],},
		desc=[[2000 Diamond]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.diamond3]],
		name=[[2000 Diamond]],
		value=9600,
	},
	["com.marswar.nemo.diamond4"]={
		args={[1]=[[giftbag_1]],},
		desc=[[4000 Diamond]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.diamond4]],
		name=[[4000 Diamond]],
		value=18800,
	},
	["com.marswar.nemo.diamond5"]={
		args={[1]=[[giftbag_1]],},
		desc=[[6000 Diamond]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.diamond5]],
		name=[[6000 Diamond]],
		value=27600,
	},
	["com.marswar.nemo.diamond6"]={
		args={[1]=[[giftbag_1]],},
		desc=[[10000 Diamond]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.diamond6]],
		name=[[10000 Diamond]],
		value=45000,
	},
	["com.marswar.nemo.diamond7"]={
		args={[1]=[[giftbag_1]],},
		desc=[[20000 Diamond]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.diamond7]],
		name=[[20000 Diamond]],
		value=88000,
	},
	["com.marswar.nemo.event1"]={
		args={[1]=[[giftbag_1]],},
		desc=[[Open will acquired Normal Ticket x5]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.event1]],
		name=[[Normal Ticket Pack]],
		value=2500,
	},
	["com.marswar.nemo.event2"]={
		args={[1]=[[giftbag_1]],},
		desc=[[Open will acquired Rare Ticket x5]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.event2]],
		name=[[Rare Ticket Pack]],
		value=25000,
	},
	["com.marswar.nemo.fresher"]={
		args={[1]=[[giftbag_1]],},
		desc=[[Fresher Pack]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.fresher]],
		name=[[Fresher Pack]],
		value=5900,
	},
	["com.marswar.nemo.fund"]={
		args={[1]=[[grade_gift1]],},
		desc=[[Growth Fund]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.fund]],
		name=[[Growth Fund]],
		value=15000,
	},
	["com.marswar.nemo.junior"]={
		args={[1]=[[giftbag_1]],},
		desc=[[Junior Pack]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.junior]],
		name=[[Junior Pack]],
		value=10900,
	},
	["com.marswar.nemo.medal30"]={
		args={[1]=[[giftbag_1]],},
		desc=[[Medal]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.medal30]],
		name=[[Medal]],
		value=3600,
	},
	["com.marswar.nemo.medal7"]={
		args={[1]=[[giftbag_1]],},
		desc=[[Medal]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.medal7]],
		name=[[Medal]],
		value=1000,
	},
	["com.marswar.nemo.senior"]={
		args={[1]=[[giftbag_1]],},
		desc=[[Senior Pack]],
		func=[[pay_for_huodong_charge]],
		key=[[com.marswar.nemo.senior]],
		name=[[Senior Pack]],
		value=24900,
	},
}
